<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="Login">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UserName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Token" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="LoginResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="LoginResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="getRole">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UserName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Token" type="s:base64Binary" />
            <s:element minOccurs="0" maxOccurs="1" name="App" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="getRoleResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="getRoleResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="changeAttr">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UserName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="attr" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="OldVal" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="NewVal" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="changeAttrResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="changeAttrResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="delEmpl">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UserName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="user" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Token" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="delEmplResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="delEmplResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="createEmpl">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UserName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="user" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Token" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="createEmplResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="createEmplResult" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="appList">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UserName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Token" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="appListResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="appListResult" type="tns:ArrayOfString" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfString">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="s:string" />
        </s:sequence>
      </s:complexType>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="LoginSoapIn">
    <wsdl:part name="parameters" element="tns:Login" />
  </wsdl:message>
  <wsdl:message name="LoginSoapOut">
    <wsdl:part name="parameters" element="tns:LoginResponse" />
  </wsdl:message>
  <wsdl:message name="getRoleSoapIn">
    <wsdl:part name="parameters" element="tns:getRole" />
  </wsdl:message>
  <wsdl:message name="getRoleSoapOut">
    <wsdl:part name="parameters" element="tns:getRoleResponse" />
  </wsdl:message>
  <wsdl:message name="changeAttrSoapIn">
    <wsdl:part name="parameters" element="tns:changeAttr" />
  </wsdl:message>
  <wsdl:message name="changeAttrSoapOut">
    <wsdl:part name="parameters" element="tns:changeAttrResponse" />
  </wsdl:message>
  <wsdl:message name="delEmplSoapIn">
    <wsdl:part name="parameters" element="tns:delEmpl" />
  </wsdl:message>
  <wsdl:message name="delEmplSoapOut">
    <wsdl:part name="parameters" element="tns:delEmplResponse" />
  </wsdl:message>
  <wsdl:message name="createEmplSoapIn">
    <wsdl:part name="parameters" element="tns:createEmpl" />
  </wsdl:message>
  <wsdl:message name="createEmplSoapOut">
    <wsdl:part name="parameters" element="tns:createEmplResponse" />
  </wsdl:message>
  <wsdl:message name="appListSoapIn">
    <wsdl:part name="parameters" element="tns:appList" />
  </wsdl:message>
  <wsdl:message name="appListSoapOut">
    <wsdl:part name="parameters" element="tns:appListResponse" />
  </wsdl:message>
  <wsdl:portType name="ServiceSoap">
    <wsdl:operation name="Login">
      <wsdl:input message="tns:LoginSoapIn" />
      <wsdl:output message="tns:LoginSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="getRole">
      <wsdl:input message="tns:getRoleSoapIn" />
      <wsdl:output message="tns:getRoleSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="changeAttr">
      <wsdl:input message="tns:changeAttrSoapIn" />
      <wsdl:output message="tns:changeAttrSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="delEmpl">
      <wsdl:input message="tns:delEmplSoapIn" />
      <wsdl:output message="tns:delEmplSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="createEmpl">
      <wsdl:input message="tns:createEmplSoapIn" />
      <wsdl:output message="tns:createEmplSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="appList">
      <wsdl:input message="tns:appListSoapIn" />
      <wsdl:output message="tns:appListSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ServiceSoap" type="tns:ServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="Login">
      <soap:operation soapAction="http://tempuri.org/Login" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getRole">
      <soap:operation soapAction="http://tempuri.org/getRole" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="changeAttr">
      <soap:operation soapAction="http://tempuri.org/changeAttr" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="delEmpl">
      <soap:operation soapAction="http://tempuri.org/delEmpl" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="createEmpl">
      <soap:operation soapAction="http://tempuri.org/createEmpl" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="appList">
      <soap:operation soapAction="http://tempuri.org/appList" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="ServiceSoap12" type="tns:ServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="Login">
      <soap12:operation soapAction="http://tempuri.org/Login" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getRole">
      <soap12:operation soapAction="http://tempuri.org/getRole" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="changeAttr">
      <soap12:operation soapAction="http://tempuri.org/changeAttr" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="delEmpl">
      <soap12:operation soapAction="http://tempuri.org/delEmpl" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="createEmpl">
      <soap12:operation soapAction="http://tempuri.org/createEmpl" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="appList">
      <soap12:operation soapAction="http://tempuri.org/appList" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="Service">
    <wsdl:port name="ServiceSoap" binding="tns:ServiceSoap">
      <soap:address location="http://localhost:21448/Service.asmx" />
    </wsdl:port>
    <wsdl:port name="ServiceSoap12" binding="tns:ServiceSoap12">
      <soap12:address location="http://localhost:21448/Service.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>